import { configureStore } from "@reduxjs/toolkit";
import cartReducer from './cartSlice'
import authReducer from './authSlice'
import { categoriesApi } from './categoriesApi'

 
export default configureStore({
    reducer:{
        cart: cartReducer,
        auth: authReducer,
        [categoriesApi.reducerPath]: categoriesApi.reducer,
    },
        middleware: (getDefaultMiddleware) => getDefaultMiddleware().concat(categoriesApi.middleware)
})