import { Button, Snackbar } from "@mui/material"
import { useState } from "react";
import { useSelector } from "react-redux";
import { useGetUserByIdQuery, useGetUserQuery } from "../../store/categoriesApi";

const ProfilePage = () => {
  const userAuth = useSelector((state)=> state.auth.user)
  const _id = userAuth ?  userAuth.sub.id : null
  const {data: payload = null} = useGetUserByIdQuery(_id)
  const user = payload ? Object.values(payload)[0] : null
  console.log(user)

    return (
    <div>
    {!user ? <></> :
    <>
     <h2>{user.nick}</h2>
     <div>{'login: ' + user.login}</div> 
     </>
     }
    </div>
    
    )
}

export default ProfilePage